﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridProb
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {

        private zumFilterObject _zumFilterObject;

        public zumFilterObject zumFilterObject
        {
            get { return _zumFilterObject; }
            set { _zumFilterObject = value;
            OnPropertyChanged("zumFilterObject");
            }
        }
        
        public MainWindow()
        {
            zumFilterObject = new zumFilterObject();
            DataContext = this;

            InitializeComponent();

        }
        protected void OnPropertyChanged(string propertyName)
        {
#if DEBUG
            //damit nicht immer im CurrentTime PropertyChanged angehalten wird
            if (propertyName != "CurrentTime")
                propertyName = propertyName;
#endif
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
