﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridProb
{
    public sealed class ClientzumDto : INotifyPropertyChanged
    {
        #region Dependency Properties
        #endregion Dependency Properties

        #region Fields

    
        private RangeEnabledObservableCollection<ClientzumCondition> _conditions;
      
        #endregion Fields

        #region Properties



        public String zumTitle
        {
            get { return "test"; }
            set
            {
             
                var bla = value;
            }
        }

  


        public RangeEnabledObservableCollection<ClientzumCondition> Conditions
        {
            get { return _conditions; }
            set
            {
                _conditions = value;
                OnPropertyChanged("Conditions");
            }
        }

        private RangeEnabledObservableCollection<ClientzumCondition> _conditionsSelected = new RangeEnabledObservableCollection<ClientzumCondition>();

        public RangeEnabledObservableCollection<ClientzumCondition> ConditionsSelected
        {
            get { return _conditionsSelected; }
            set
            {
                _conditionsSelected = value;
                OnPropertyChanged("ConditionsSelected");
            }
        }

        #endregion Properties

        #region Constructor

        public ClientzumDto()
        {
          Conditions = new RangeEnabledObservableCollection<ClientzumCondition>();
        }



        #endregion Constructor

        #region Public Methods

      
        public void AddCondition()
        {
            Conditions.Add(new ClientzumCondition());              
        }

        public void DeleteCondition()
        {
            var temp = new List<ClientzumCondition>(ConditionsSelected);
            temp.ForEach(x => Conditions.Remove(x));
        }

        public Boolean DeleteConditionCanExecute()
        {
            return ConditionsSelected.Count > 0 && Conditions.Count > 0;
        }
        #endregion Public Methods

        #region Internal Methods

     
        #endregion Internal Methods

        #region Protected Methods
        #endregion Protected Methods

        #region Private Methods
        #endregion Private Methods


        protected void OnPropertyChanged(string propertyName)
        {
#if DEBUG
            //damit nicht immer im CurrentTime PropertyChanged angehalten wird
            if (propertyName != "CurrentTime")
                propertyName = propertyName;
#endif
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
